1. Catalogue
Omisell Developer Portal | API Documentation & Integration Guides
  • Authentication
  • Common Errors
  • Overview
    • Introduction
    • Push Mechanism
    • Status overview
    • Accounting - API Call Flow
    • ERP Integration Flow
    • API Rate Limits
    • Guide: Direct Integration
    • MCP Server
    • Pagination
  • Changelog
    • 🔐 API Security Upgrade
    • Orders
    • Returns Order
    • Products
    • Shipments
    • Push mechanism
  • API Refference
    • Location
      • Get Country List
      • Get Province List By Country
      • Get District List By Province
      • Get SubDistrict List By District
    • Product
      • Get Product Category
      • Get Product List
      • Add Product
      • Get Product Detail
      • Update Product Detail
      • Get Product Detail by SKU
      • Update Product Detail by SKU
    • Inventory
      • Adjust Stock
      • Delisted Stock
      • Adjust Stock(Old)
    • Serial Number
      • Adjust Serial Number
    • Catalogue
      • Get Catalogue List
        GET
      • Get Catalogue Detail
        GET
    • Orders
      • Get Order List
      • Add Order
      • Update Document Order
      • Get Order Detail
      • Update Order
      • Cancel Order
      • Get Order Finance
      • Get Returns Receiving Note
      • Get Goods Receipts
    • Returns Order
      • Get Returns Order List
      • Add Order Return
      • Get Return Order Detail
    • Shipments
      • Get Shipment List
      • Add Shipment
      • Update Document Shipment
      • Update Shipment Status
      • Get Shipment Detail
    • Order Dropship
    • Pickup Address
      • Get Pickup List
      • Get WMS Pickup Map
    • Shop
      • Get Shop List
    • Finance
      • Get Order Revenue
      • Get Order Return Revenue
    • Customer
      • Get Customer Review List
    • Public
      • Get Seller by Partner
  • Webhooks
    • Order Status Push
    • Return Order Status Push
    • Shipment Status Push
    • Sale Invoice Request
  • eCommerce Platform
    • PrestaShop
    • Magento
    • Shopify
    • Woocommerce
    • Zalora
  1. Catalogue

Get Catalogue List

GET
/api/v2/public/catalogue/list

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.omisell.com/api/v2/public/catalogue/list?page=1&page_size=25&store_id=1&status=all&status=active' \
--header 'Seller-ID;' \
--header 'Country;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
Real response captured from the live API. Personal data replaced with placeholders.
{
    "data": {
        "count": 421,
        "next": "https://api.omisell.com/api/v2/public/catalogue/list?page=2&page_size=2",
        "previous": null,
        "results": [
            {
                "barcodes": [
                    ""
                ],
                "platform": "retail",
                "platform_logo": "https://storage.googleapis.com/omisell-cloud/logo/platforms/retail.svg",
                "catalogue_id": 3769201,
                "name": "Máy sấy tóc Panasonic EH-NE6M Công nghệ ionity Luồng gió mạnh Linear cho mái tóc mềm mượt EH-NE6M-A442",
                "sku": "EH-NE6M-A442",
                "category_id": "4517",
                "external_id": "",
                "external_global_id": "",
                "external_parent_id": "",
                "description": null,
                "link": "",
                "product_links": [
                    {
                        "product_id": 2697995,
                        "cost": 130000.0,
                        "price": 130000.0,
                        "sale_price": 130000.0,
                        "quantity": 1,
                        "is_gift": 0
                    }
                ],
                "cost": 130000.0,
                "price": 130000.0,
                "sale_price": 130000.0,
                "currency": "VND",
                "weight": 100,
                "volume": "0x0x0",
                "images": [],
                "variants": [],
                "status": "active",
                "status_name": "Đang bán",
                "created_time": 1784697968.0,
                "updated_time": 1785420773.0,
                "addition_stock": 0,
                "reserved_stock": 0,
                "external_stock": null,
                "is_non_moving": false,
                "shop_id": 11305,
                "shop_name": "Bán lẻ - Pana - Lazada"
            },
            {
                "barcodes": [
                    ""
                ],
                "platform": "retail",
                "platform_logo": "https://storage.googleapis.com/omisell-cloud/logo/platforms/retail.svg",
                "catalogue_id": 3769200,
                "name": "Máy sấy tóc Panasonic EH-NE6M Công nghệ ionity Luồng gió mạnh Linear cho mái tóc mềm mượt EH-NE6M-A442",
                "sku": "EH-NE6M-A442",
                "category_id": "4517",
                "external_id": "",
                "external_global_id": "",
                "external_parent_id": "",
                "description": "<div>Mô tả sản phẩm bao gồm điểm khác biệt, thông số kỹ thuật, chất liệu, kích thước, thời gian sử dụng....Mô tả sản phẩm bao gồm điểm khác biệt, thông số kỹ thuật, chất liệu, kích thước, thời gian sử dụng....Mô tả sản phẩm bao gồm điểm khác biệt, thông số kỹ thuật, chất liệu, kích thước, thời gian sử dụng....Mô tả sản phẩm bao gồm điểm khác biệt, thông số kỹ thuật, chất liệu, kích thước, thời gian sử dụng....Mô tả sản phẩm bao gồm điểm khác biệt, thông số kỹ thuật, chất liệu, kích thước, thời gian sử dụng....Mô tả sản phẩm bao gồm điểm khác biệt, thông số kỹ thuật, chất liệu, kích thước, thời gian sử dụng....Mô tả sản phẩm bao gồm điểm khác biệt, thông số kỹ thuật, chất liệu, kích thước, thời gian sử dụng....</div>",
                "link": "",
                "product_links": [
                    {
                        "product_id": 2697995,
                        "cost": 130000.0,
                        "price": 130000.0,
                        "sale_price": 130000.0,
                        "quantity": 1,
                        "is_gift": 0
                    }
                ],
                "cost": 130000.0,
                "price": 130000.0,
                "sale_price": 130000.0,
                "currency": "VND",
                "weight": 100,
                "volume": "0x0x0",
                "images": [],
                "variants": [],
                "status": "active",
                "status_name": "Đang bán",
                "created_time": 1784697916.0,
                "updated_time": 1784699237.0,
                "addition_stock": 0,
                "reserved_stock": 0,
                "external_stock": null,
                "is_non_moving": false,
                "shop_id": 11303,
                "shop_name": "Bán lẻ - Pana - Tiktok"
            }
        ]
    },
    "error": false,
    "error_code": 200,
    "attr_error": null,
    "messages": "",
    "request_id": "6a7e9da0d23299d2e7a4a1ac"
}
Modified at 2026-11-03 04:22:17
Previous
Catalogue
Next
Get Catalogue Detail
Built with